Create a [managed folder](https://docs.cloud.google.com/storage/docs/managed-folders.md.txt) within a bucket.

## Required permissions

The authenticated user must have the `storage.managedfolders.create`
IAM permission to use this method.

## Request

### HTTP request

```
POST https://storage.googleapis.com/storage/v1/b/bucket/managedFolders
```

In addition to [standard query parameters](https://docs.cloud.google.com/storage/docs/json_api/v1/parameters.md.txt#query),
the following parameters apply to this method.

To see an example of how to include query parameters in a request, see the
[JSON API Overview](https://docs.cloud.google.com/storage/docs/json_api.md.txt#query_parameters) page.

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `bucket` | `string` | The parent bucket of the managed folder. |

### Request body

When creating a managed folder, provide the name of the managed folder in the request body.

| Property name | Value | Description | Notes |
|---|---|---|---|
| **Required Properties** ||||
| `name` | `string` | The name of the managed folder, expressed as a path. For example, `example-dir` or `example-dir/example-dir1`. |   |

## Response

If successful, this method returns a
[ManagedFolder resource](https://docs.cloud.google.com/storage/docs/json_api/v1/managedFolder.md.txt) in the response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.